List and search documents
Search documents of a class
You can search for documents associated with a particular library and a particular class as follows.
POST
Method and API
Play with the API Explorer:POST /search/v1/libraries/\{libraryId\}/search
Usage/notes/guidelines
This method searches documents of a class matching the provided query. It might become very slow or time out when iterating over many pages of results. If the result set contains more than 10,000 documents, it’s highly likely the response will get truncated and some results will be missing. You should always check ifprecision=INCOMPLETE_RESULT in the response.
Note:By default, the method includes attachments in the search. You can exclude searching in attachments by setting the
searchInAttachments parameter to false.Request
libraryId is a path parameter and classId is a query parameter. These are the only mandatory arguments. However, the searchQuery query parameter is what ultimately determines what results come back, filtering them on a text string.
Note:If you want to search for a specific phrase as a singular whole, put double quotes around the phrase being passed as a
searchQuery query parameter. For example, if your document is called “big blue document”, then sending “big blue” or “blue document” (with the double quotes) as the searchQuery query parameter finds it, but “big document” does not.